package ch.hevs.isi.field;

import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.DataPointListener;
import ch.hevs.isi.core.FloatDataPoint;

public class FieldConnector implements DataPointListener {

    private static FieldConnector mySelf = null;

    private FieldConnector(){

    }

    public static FieldConnector getMySelf(){
        if (mySelf == null){
            mySelf = new FieldConnector();
        }
        return mySelf;
    }

    public void initialize(String host, int port){

    }

    public void uselessTest(){
        FloatDataPoint dp = new FloatDataPoint("Voltage", false);
        dp.setValue(5);
    }

    private void pushToField(DataPoint dp){
        System.out.println("To Field: " + dp.toString());
    }

    @Override
    public void onNewValue(DataPoint dp) {
        pushToField(dp);
    }
}
